<html>
<head>
<title>OGRE: Ogre::EdgeData::Edge Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a>::<a class="el" href="structOgre_1_1EdgeData_1_1Edge.html">Edge</a></div>
<h1>Ogre::EdgeData::Edge Struct Reference</h1><!-- doxytag: class="Ogre::EdgeData::Edge" --><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html" title="Edge data.">Edge</a> data.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1EdgeData_1_1Edge-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#c5a9a9bc9dfc4d301058ee4e5c407f8f">triIndex</a> [2]</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The indexes of the 2 tris attached, note that tri 0 is the one where the indexes run _anti_ clockwise along the edge.  <a href="#c5a9a9bc9dfc4d301058ee4e5c407f8f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#ad95e9ee5714e7413367fe6c8ba5dd20">vertIndex</a> [2]</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The vertex indices for this edge.  <a href="#ad95e9ee5714e7413367fe6c8ba5dd20"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#01c602e99ec1f7296cca73595e0ab55e">sharedVertIndex</a> [2]</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Vertex indices as used in the shared vertex list, not exposed.  <a href="#01c602e99ec1f7296cca73595e0ab55e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#83b46b6487ee08a92449c8698fc8fc11">degenerate</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Indicates if this is a degenerate edge, ie it does not have 2 triangles.  <a href="#83b46b6487ee08a92449c8698fc8fc11"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<a class="el" href="structOgre_1_1EdgeData_1_1Edge.html" title="Edge data.">Edge</a> data. 
<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00062">62</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="c5a9a9bc9dfc4d301058ee4e5c407f8f"></a><!-- doxytag: member="Ogre::EdgeData::Edge::triIndex" ref="c5a9a9bc9dfc4d301058ee4e5c407f8f" args="[2]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#c5a9a9bc9dfc4d301058ee4e5c407f8f">Ogre::EdgeData::Edge::triIndex</a>[2]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The indexes of the 2 tris attached, note that tri 0 is the one where the indexes run _anti_ clockwise along the edge. 
<p>
Indexes must be reversed for tri 1. 
<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00066">66</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ad95e9ee5714e7413367fe6c8ba5dd20"></a><!-- doxytag: member="Ogre::EdgeData::Edge::vertIndex" ref="ad95e9ee5714e7413367fe6c8ba5dd20" args="[2]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#ad95e9ee5714e7413367fe6c8ba5dd20">Ogre::EdgeData::Edge::vertIndex</a>[2]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The vertex indices for this edge. 
<p>
Note that both vertices will be in the vertex set as specified in 'vertexSet', which will also be the same as tri 0 
<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00069">69</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="01c602e99ec1f7296cca73595e0ab55e"></a><!-- doxytag: member="Ogre::EdgeData::Edge::sharedVertIndex" ref="01c602e99ec1f7296cca73595e0ab55e" args="[2]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#01c602e99ec1f7296cca73595e0ab55e">Ogre::EdgeData::Edge::sharedVertIndex</a>[2]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Vertex indices as used in the shared vertex list, not exposed. 
<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00071">71</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="83b46b6487ee08a92449c8698fc8fc11"></a><!-- doxytag: member="Ogre::EdgeData::Edge::degenerate" ref="83b46b6487ee08a92449c8698fc8fc11" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#83b46b6487ee08a92449c8698fc8fc11">Ogre::EdgeData::Edge::degenerate</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Indicates if this is a degenerate edge, ie it does not have 2 triangles. 
<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00073">73</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:33 2008
</p>
</body>
</html>
